<?php
include_once('inclfiles/core.php');

$vhod = false;
if($_GET['code'] != null){
	$autologin = filter($_GET['code']);
	if(mysql_num_rows(mysql_query("SELECT * FROM `users` WHERE `autologin` = '".$autologin."'")) > 0){
		$user = mysql_fetch_array(mysql_query("SELECT * FROM `users` WHERE `autologin` = '".$autologin."'"));
  		if($user['country'] != 0){
			$country = mysql_fetch_array(mysql_query("SELECT * FROM `countries` WHERE `id`=".$user['country']));
		}
		SetCookie('id',$user['id'],time()+31536000, '/');
		SetCookie('password',$user['password'],time()+31536000, '/');
		$vhod = true;
	}
}

$title = 'Автовход';
include_once('inclfiles/head.php');
if($vhod){
	m('Вы успешно авторизованы');
	t('Добавьте эту страницу в закладки, чтобы постоянно не вводить свой ник и пароль. И никому не давайте ссылку на эту страницу. В ней содержатся Ваши данные для входа');
}
else{
	t('Неверная ссылка для автовхода');
	if(!$user) a('auth.php?','Авторизация','auth');
}

include_once('inclfiles/foot.php');
?>